Bug 904243 - Package newer python-requests
Summary: Package newer python-requests
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-requests
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Arun S A G
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 956426
TreeView+ depends on / blocked
 
Reported: 2013-01-25 20:32 UTC by Ralph Bean
Modified: 2013-04-25 15:51 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-02-20 17:47:11 UTC


Attachments (Terms of Use)

Description Ralph Bean 2013-01-25 20:32:19 UTC
Request to update python-requests in el6.  I'm having trouble maintaining code compatible with the newer and older versions cookie interfaces.

If there is too much code that depends on the old interface, I'd be willing to package and maintain (or co-maintain) a forward-compat package.

Comment 1 Arun S A G 2013-01-27 03:47:35 UTC
What version do you want to update to? The update to cookie behavior came only with version 1.0.3 but there is a license change/API change. We cannot push the new version with EPEL and break our users.

I am still not sure about the problem you are facing with cookie interfaces. Can you explain your problem here please?

Comment 2 Arun S A G 2013-01-27 03:49:57 UTC
Hey, but i don't mind you co-maintaining the package for EPEL. Please go ahead and request as co-maintainer!

Comment 3 Ralph Bean 2013-01-27 16:03:22 UTC
From checking the git log, I believe the cookie behavior that I need first appears in v0.12.0.

Here is the relevant commit:  https://github.com/kennethreitz/requests/commit/4d6871d9176c13affe625b1885278d396a39f21d

I'll apply for co-maintainer rights and see if we can't make 0.13 (the version from F17) work.

Comment 4 Ralph Bean 2013-01-27 16:06:56 UTC
Just a little more info:

Before requests-0.12, you could only specify cookies as a dict of key-value pairs.  requests would hide other cookie parameters from you like "secure", "domain", and "HttpOnly".  The above-mentioned commit allows the user to tweak those parameters.

Comment 5 Arun S A G 2013-01-28 05:42:30 UTC
I think we can go upto 0.14.2 for EPEL6, we need to inform our users too!

Comment 6 Ralph Bean 2013-01-28 14:05:57 UTC
Cool!  Any idea how to send out such a notification?

Comment 7 Arun S A G 2013-01-28 14:10:31 UTC
Send an email to fedora-devel/EPEL lists?

Comment 8 Fedora Update System 2013-01-28 14:28:32 UTC
python-requests-0.14.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-requests-0.14.1-2.el6

Comment 9 Fedora Update System 2013-02-01 15:31:41 UTC
python-requests-0.14.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-requests-0.14.1-3.el6

Comment 10 Fedora Update System 2013-02-22 19:02:32 UTC
python-requests-0.14.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.